curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/addresses \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/addresses"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"addr_test1qpshevet4xrh7h2rr7pm3r7ysn8x9hk5gek9xvm6du3yl6upahs8fhhy49jqqnfn6vvmtq6yeqypx645ex9fxexlh36q9scvx8"
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "bbd15af995f81cf22e559679865d5a0fb1ba348559cf88e07686234e499859c4",
"block_slot": 32208435
},
"next_cursor": null
}Stake account addresses
Get all payment addresses associated with a specific Cardano stake account for wallet management.
Authorizations
Project API Key
Path Parameters
Bech32 encoded stake/reward address ('stake1...')
Query Parameters
Include addresses that have been seen on-chain but have no balance
The max number of results per page
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Addresses seen on-chain which contain the specified stake key
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Endpoint response data
Bech32-encoded Cardano Address
Details of the most recent block processed by the indexer (aka chain tip); that is, the data returned is correct as of this block in time.
Show child attributes
Show child attributes
Pagination cursor
Was this page helpful?

